Breakout board for EBYTE's E28-2G4M27S 2.4GHz LoRa module.

It's designed so that the pins should correctly align with the through-holes in a standard off-the-shelf 2.54mm pitch prototype board.

The user manual is here:  https://www.ebyte.com/en/downpdf.aspx?id=537  I'm also including a PDF of it in the design files in case the link ever gets broken in the future.

The module utilizes a SX-1280 transceiver chip.  Test results of that chip in real-world scenarios can be found here:  https://github.com/StuartsProjects/SX1280_Testing  **TL;DR: the SX-1280 appears to perform extremely well and achieve even better range than earlier generations.**

I included pads on the breakout board for a 0.1uF capacitor to help reduce noise, and I pre-positioned pads for a 100uF capacitor as an aid in case current ramps up rapidly.  These capacitors are optional, so whether or not you use them is up to you.

The breakout board is deliberately designed so that the trace antenna section of the module overhangs past the side of it.  Also, it has a largely uninterrupted ground plane.  Both these topics are discussed in the thread:  https://forum.mysensors.org/topic/11917/anyone-using-tried-the-e28-2g4m27s-2-4ghz-lora-sx1280-27db-module

I designed this breakout board from scratch using Ki-CAD version 6.  That said, I'm a novice at using Ki-CAD, so if you want access to source files, then please leave a comment stating what additional files you want/need.


Enjoy!

As always any comments on how the board could be improved would be highly appreciated.